package edu.cmu.cs.able.probes.RemosProbe;

/**
 * ProbeConsumer is abstract class that is extended by application class
 * to user RemosProbe.
 */
public interface BandwidthProbeConsumer {
	/**
	 * This method is implemented by application to process the
	 * information reported by RemosProbe. Currently, RemosProbe
	 * only reports available bandwidth.
	 * @param bw the available bandwidth reported RemosProbe.
	 */
	public void sensed(double bw);
}
